## python-logi-circle 0.2.3

=== requirements.txt ===
pytz
aiohttp==3.7.4
python-slugify==1.2.6

=== debian/changelog ===
python-logi-circle (0.2.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 26 Jan 2025 05:06:09 +0100

python-logi-circle (0.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1093631)

 -- Edward Betts <edward@4angle.com>  Mon, 20 Jan 2025 09:45:06 -0600

=== debian/control ===
Source: python-logi-circle
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-freezegun <!nocheck>,
 python3-pytest <!nocheck>,
 python3-slugify <!nocheck>,
 python3-tz <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/evanjd/python-logi-circle
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-logi-circle
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-logi-circle.git

Package: python3-logi-circle
Architecture: all
Depends:
 python3-slugify,
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with Logi Circle cameras
 This library provides access to Logi Circle cameras, enabling the retrieval
 and management of real-time data, video content, and still images. It allows
 querying of activity history with filters for start time and activity
 properties like duration. Users can manage camera settings such as name,
 timezone, streaming, and privacy modes. Additionally, it supports real-time
 updates and camera activities via the WebSocket API, enabling prompt
 notifications of changes and new events. This package interfaces with
 Logitech's official public API for comprehensive management of connected
 security devices over Wi-Fi.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not test_set_config_valid and not test_set_config_valid  and not test_set_config_valid"

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-aresponses,
 python3-freezegun,
 python3-pytest,
 @,

=== debian/watch ===
version=4
https://github.com/evanjd/python-logi-circle/tags .*/v?(\d\S+)\.tar\.gz
